import random
from PyQt5.QtCore import *
from model import *


class BaseControler:
    def __init__(self):
        self.clients = list()
        self.message = ""

    def add_client(self, client):
        self.clients.append(client)

    def refresh_all(self, message):
        self.message = message
        for client in self.clients:
            client.refresh()


class PacmanControler(BaseControler):
    def __init__(self):
        super().__init__()

    def start(self, width, height, nb_ghosts):
        pass

    def stop(self):
        pass

    def set_speed(self, framerate):
        pass

    def next(self):
        pass

    def process_keypress(self, key):
        pass